Subject: Re: bug#38542: 27.0.50; Cannot create symlinks in Emacs on Windows 10 using Dired command S

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 Dec 2019 15:27:37 +0200

> From: Raoul Comninos <[email-masked]>
> Date: Mon, 9 Dec 2019 07:11:46 +0200
> 
> In Emacs Dired (in Windows 10) one cannot create a symlink using the
> shortcut command S, as one expects. The symlink can be created if one
> uses M-x make-symbolic-link. However, this is not the case if one simply
> uses S. The command results in an error saying that the file-already
> exists. Also, instead if offering the user a destination for the
> symlink, the message in the message buffer identifies the source of the
> symlink.

I cannot reproduce this.

I think some subtle factor is at work here, so please tell what was
the full file name you typed after invoking 'S', when Dired prompted
you.  Please also say whether the file name you typed was a file or a
directory.